function obj = loss(v)

global n;
global N;
global x;
global B;
global mcn;
global Z;

w = v;
P = diag(w/n);
obj = 0;
for i = 1:mcn
    b = B(i,1:2);
    eta = b(1) + b(2)*x;
    mu = (1+exp(-eta)).^(-1);
    der = mu.*(1-mu);
    Winv = diag(der.^(-1));
    Zscaled = [der der.*x];
    [U,D,V] = svd(Zscaled,0);
    f = B(i,3)*(x.^2);
    biglambda = (1+exp(-Z*b'-f)).^(-1);
    Wt = diag(diag(biglambda)*(ones(N,1)-biglambda));
    biasint = (biglambda-mu)*(biglambda-mu)';
    biascomp = trace(Winv*P*U*((inv(U'*P*Winv*U))^2)*U'*P*Winv*biasint);
    varcomp = trace(((inv(U'*P*Winv*U))^2)*(U'*P*Winv*Wt*Winv*U));
    obj = obj + (1/N)*(varcomp/n + biascomp);
end;
obj = obj/mcn;
