clc;
clear all;
global N;
global n;
global x;
global betta;
global p;
global traject;
global f_loss;
global div;
global maxite1;
global maxite2;
global B;
global mcn;
global Z;


%Monte Carlo sample of model parameters
mcn = 100;
B = rand(mcn,3);
B(:,1) = .75 + (1.25 - .75)*B(:,1);
B(:,2) = 2.5 + (3.5 - 2.5)*B(:,2);
B(:,3) = 5 + (10 - 5)*B(:,3);

N = 40;
n = 20;
x = (-1:(2/(N-1)):1)';
Z = [ones(length(x),1) x];
dim = size(Z);
p = dim(2);

div = 20;
maxite1 = 5000;  
maxite2 = 1;
traject = [];

        if (n<N) v = repmat([1 zeros(1,N/n-1)],1,n/2);
        else v = repmat(n/N,1,N/2); 
        end;
        betta = .005;
        %v = inivecsym(N,n,p);
        w = [v v];
       
        store = sim_optim(w);
        ind1 = find(store>0);
        %ind2 = N/2 -(ind1-1);
        pt = [ind1];% fliplr(ind2)+N/2];
        x1 = x(find(store>0)); obs = store(find(store>0));
        fprintf('\n x    store\n');
        fprintf(' %6.4f     %2d\n',[x1 obs']');
        h = figure('Visible','On');
 
       stem(x(pt),[store(ind1)],'b.');  xlim([-1,1]); 
       ylim([0,max(store(ind1))+2]);xlabel('Design space'); ylabel('Number of observations'); title([  'loss = ' num2str(f_loss) ]); % '\beta_2 = ' num2str(B(k)) '
       text(x(pt),[store(ind1)],num2str(x(pt),'%4.3g'),'Rotation',90);
